#!/bin/sh
#
#ap_install.commmand
#
#
#SETI@home AstroPulse installer 
#
#Installs the SETI@home AstroPulse Beta application into the default Mac OSX
#SETI@home beta project directory
#
#
#V.1.0, 22.11.2008, Lars Bausch
#V.1.0b, 30.12.2009, adapted by lunatics porting team

AP_VERSION="5.06r237_RC1"
DEST="/Library/Application*Support/BOINC*Data/projects/setiweb.ssl.berkeley.edu_beta"
SOURCE="`echo $0 |sed s/ap_install.command// `"

clear
echo "                   SETI@home Astropulse Beta installer"
echo ""
echo ""
echo "This script will install Astropulse Beta $AP_VERSION on your system."
echo ""
echo "Please stop the boinc client before you install the Astropulse Beta application !"
echo ""
echo "BOINC client stopped (y) ? \c"
read CONT

if  [ "$CONT" != "y" ]; then
	echo "Aborting installation..."
	echo ""
	exit 1
fi 

echo ""
echo "The installation uses sudo to install the files with correct permissions set."
echo "Eventually you will be prompted for a password now. This password is your "
echo "own password on your system with your actual account !"
echo ""
sudo ls $DEST > /dev/null 2>&1
ls -al $DEST


echo "" 
echo "Copying files to the BOINC directory..."
sudo mkdir  $DEST 2> /dev/null
cd $SOURCE
sudo cp $SOURCE/* $DEST
if  [ "$?" = "0" ]; then
	echo "Copy successfull"
 else
	echo "Copy not successfull"
fi 

echo ""
echo "Setting permissions of the SETI@home Beta projects directory..."
sudo chown -R boinc_master:boinc_project $DEST
if  [ "$?" = "0" ]; then
	echo "Set permissions successfull"
 else
	echo "Set permissions not successfull"
fi 

echo ""
echo "Astropulse Beta application installation has finished. Please restart BOINC client now !"
echo ""

